%define tarversion 2_7_0

%define major 27
%define minor 0

%define libname %mklibname xerces-c %minor

Name:	xerces-c
Version:	2.7.0
Release:	%mkrel 4
Epoch: 1
URL:	http://xml.apache.org/xerces-c/
License:	Apache
Source0: %{name}-src_%{tarversion}.tar.gz
Patch0: xerces-c-lib64.patch
# Most of apps 
Patch1: xerces-c-pvtheader.patch
Summary:	Xerces-C++ validating XML parser
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: zlib-devel
BuildConflicts: %{_lib}xerces-c26-devel

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%files
%defattr(-,root,root,-)
%_prefix/bin/*

#----------------------------------------------------------------------

%package -n %libname
Group: System/Libraries
Summary: xerces-c library

%description -n %libname
xerces-c library

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root,-)
%_libdir/libxerces-*.so.*

#----------------------------------------------------------------------

%package -n %libname-devel
Requires: %libname = %epoch:%version-%release
Group: Books/Other
Summary:	Header files for Xerces-C++ validating XML parser
Provides: xerces-c-devel
Provides: libxerces-c-devel
Obsoletes: %{_lib}xerces-c26-devel

%description -n %libname-devel
Header files you can use to develop XML applications with Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%files -n %libname-devel
%defattr(-,root,root,-)
%_libdir/libxerces-c.so
%_libdir/libxerces-depdom.so
%_includedir/xercesc
%_datadir/%{name}/samples

#----------------------------------------------------------------------

%package doc
Group: Books/Other
Summary:	Documentation for Xerces-C++ validating XML parser
Obsoletes: xerces-c-manual

%description doc
Documentation for Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%files doc
%defattr(-,root,root,-)
%doc LICENSE.txt STATUS credits.txt Readme.html doc/

#----------------------------------------------------------------------

%prep
%setup -q -n %{name}-src_%{tarversion}
%if "%{_lib}" != "lib"
%patch0 -p1 -b .orig
%endif
%patch1 -p1

%build

export XERCESCROOT=%_builddir/%name-src_%{tarversion}
cd $XERCESCROOT/src/xercesc
./runConfigure \
	-plinux \
	-cgcc \
	-xg++ \
	-minmem \
	-nsocket \
	-tnative \
	-rpthreads \
	-P%_prefix 

make

cd $XERCESCROOT/samples
./runConfigure \
	-plinux \
	-cgcc \
	-xg++

%make


%install
rm -rf %buildroot

export XERCESCROOT=%_builddir/%name-src_%{tarversion}
cd $XERCESCROOT/src/xercesc
%makeinstall_std

mkdir -p %buildroot%_bindir
#we don't want obj directory
install `find $XERCESCROOT/bin -type f -maxdepth 1` %buildroot%_bindir
mkdir -p %buildroot%_datadir/%name
cp -a $XERCESCROOT/samples %buildroot%_datadir/%name

%clean
rm -rf %buildroot



%changelog
* Tue Sep 19 2006 Helio Chissini de Castro <helio@mandriva.com> 2.7.0-4mdv2007.0
+ Revision: 62357
- Most of packages like pathan or xquery depends on private headers. If we want avoid include an internal copy of xerces-c in every package, we need install base impl headers. This will enable, along with a post 4.2 db, the construction of dbxml and reduce size of many applications with code embedded

* Wed Aug 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1:2.7.0-3mdv2007.0
+ Revision: 57755
- fix group

* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com> 1:2.7.0-2mdv2007.0
+ Revision: 56359
- Fixed x86_64 issues
- Raise epoch to make proper devel to be installed. Last sonam was wrong named 26, since 26 is major, and minor is 0

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com> 2.7.0-1mdv2007.0
+ Revision: 56161
- No distributed compilation
- import xerces-c-2.7.0-1mdv2007.0


* Mon Dec 13 2004 Warly <warly@mandrakesoft.com> 2.6.0-2mdk
- rebuild without libxerces25 dependencies

* Wed Aug 18 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040818.1mdk
- update to latest CVS version

* Fri Jul 23 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040723.1mdk
- go to version 20040723104641 for bug 10387

* Tue Jul 20 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040720.1mdk
- new version (based on CVS version)

* Thu Mar 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.1.0-6mdk
- rebuild with new gcc

* Fri Dec 13 2002 Warly <warly@mandrakesoft.com> 2.1.0-5mdk
- lib name is now 21.0 and not 2.1.0

* Fri Dec 13 2002 Warly <warly@mandrakesoft.com> 2.1.0-4mdk
- replace include dir from /usr/include/xerces to /usr/include/xercesc

* Thu Dec 12 2002 Warly <warly@mandrakesoft.com> 2.1.0-3mdk
- reput lib64 patch

* Thu Dec 12 2002 Warly <warly@mandrakesoft.com> 2.1.0-2mdk
- add provides xerces-c-devel to libxerces-c-devel

* Thu Dec 12 2002 Warly <warly@mandrakesoft.com> 2.1.0-1mdk
- do not compile samples
- they finally decide to set major as 21
- new version

* Sun Dec 08 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.2-4mdk
- Patch1: Teach it lib64 world

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.2-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.2-2mdk
- Automated rebuild with gcc3.2

* Wed Nov 21 2001 Yves Duret <yduret@mandrakesoft.com> 1.5.2-1mdk
- version 1.5.2
- rediff patch0
- fix sample build
- spec clean up
- rpmlint : one-line-command-in-%post(un) ldconfig

* Mon Oct 15 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-5mdk
- Place html manual in /var/www/html/xerces-manual.

* Thu Oct 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-4mdk
- Fix manual files, was corrupted.

* Tue Oct 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-3mdk
- Fix manual location, was conflicting with apache.

* Thu Sep 06 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.1-2mdk
- fix devel, and manual

* Tue Aug 28 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.1-1mdk
- new version

* Tue Jun 26 2001 Warly <warly@mandrakesoft.com> 1.5.0-2mdk
- clear lib and devel package

* Mon Jun 25 2001 Warly <warly@mandrakesoft.com> 1.5.0-1mdk
- libification
- add soname

* Mon Mar 05 2001 Philippe Libat <philippe@mandrakesoft.com> 1.4.0-1mdk
- MandrakeSoft adaptations

* Thu Feb 01 2001 Henri Gomez <hgomez@slib.fr>
- xerces-c 1.4.0
- compiled on Redhat 6.2 with updates and rpm 3.0.5

* Fri Nov 17 2000 Henri Gomez <hgomez@slib.fr>
- RPM Release 3
- renamed xerces-c-doc to xerces-c-manual (follow apache RPM naming)
- compiled on Redhat 6.1 with updates
- prepare transition to RH 7.0 new document root (/var/www)

* Sat Oct 07 2000 Henri Gomez <hgomez@slib.fr>
- RPM release 2
- cleanup spec file (group Documentation)
- compiled on Redhat 6.2 with updates

* Mon Oct 02 2000 Henri Gomez <hgomez@slib.fr>
- xerces-c 1.3.0 
- Initial RPM release
- new name for package (xerces-c) to follow naming of xerces-j
- documentation go in a new package doc (comme xerces-j)
- fixed bad soname (many patches around Makefiles)
- compiled on Redhat 6.1 with updates

